DreamCalc tm
Home Download Buy Now Support
User Guide: Contents Page Index of Functions

| # Options Window
This page details the settings available in DreamCalc Options Window. Many commonly used settings may also be set directly from the calculator's View and Mode menus. ## Main Settings Page
Main Options |
--- | ---
Stay on Top | Keeps the DreamCalc main window on top of all other applications.
Auto-Hide Menu | Hides main window menu when not in use. It automatically re-appears when you move the mouse over the top of the window.
Icons on Menus | When checked, icon graphics will be shown on drop-down menus.
Resize with Mouse Wheel | Use mouse wheel to resize main window.
Roll-up Keypad with Mouse Wheel | Mouse wheel used to roll-up keypad.
No Mouse Wheel Action | Mouse wheel does nothing.
Disable Drag Resize | Disables the ability to resize the main window by dragging. The main window can still be resized by right-clicking or from the Options Window.
Start with Windows | Run DreamCalc in system tray and start-up with Windows.
Hide Task Bar | Hide the task bar when running in the system tray.
Double Click Icon | System tray icon requires a double click to show DreamCalc when checked. Single click when unchecked.
Save List Data | Save list data when DreamCalc exits.
Save Paper Roll | Save paper roll when DreamCalc exits.
Skins & Key Layout |
--- | ---
Calculator | Allows for calculator specialization by providing a range of function key layout options.
Calculator Skin | Select a different skin to change the look and color of DreamCalc.
Show Constants on Keys | Show constants on keypad (for use with the [CONST] key).
Default Keypad Layout | Show default numeric keypad layout.
US Keypad Layout | Show a layout similar to some American calculators.
Calculator Input |
--- | ---
Calculator Input Style | Set the input order when entering formula. See Calculator Input Style for more information.
RPN Stack | RPN stack size (9 is default). Used only in RPN mode.
Enable Complex Numbers | Enables support for complex numbers.
Key Sound | Select from click or beep sounds, or silent (default).
## Numeric Screen Page
Number Format |
--- | ---
Decimal Separator | Numeric decimal point separator. Default is to use your system setting.
Thousand Separator | Numeric thousands separator. Default is to use your system setting.
Negative Results in Red | Show negative results in red.
Base-N Digit Grouping | Automatically group digits when in base-N mode.
Base-N Zero Padding | Automatically pad base-n digits with leading zeros.
On-Screen Clock | Show an on-screen clock when the calculator is not busy.
Display Precision |
--- | ---
Number of Digits | Select the maximum number of digits to display (default is 15). This option changes only the display, and does not affect the internal precision of calculations.
Precision Mode | Normal display precision mode, where: "Norm 1" automatically shows a scientific exponent when values become small, and "Norm 2" does not show exponents for small values unless it could not otherwise be displayed. Norm 1 is default.
Screen Font Settings |
--- | ---
Font Name | Numeric screen font name.
Bold | Show numerals in bold.
Italic | Show numerals in italics.
## Paper Roll Page
Paper Roll Options |
--- | ---
Auto Line Break | Insert line breaks in the paper roll at arithmetic operators (not applicable for RPN).
Constant Abbreviation | Abbreviate known natural constant values (i.e. shows 3.142... as "pi"). Default is on.
Font Settings |
--- | ---
Font Name | Paper roll font name.
Font Size | Paper roll font size.
Bold | Show paper roll text in bold font.
Italic | Show paper roll text in italic font.
Background Color | Set paper roll background color.
Foreground Color | Set paper roll font color.
Use Windows Colors | Use standard window colors for the paper roll.
## Chart Window Page Charts are available in the Graphing & Professional Editions of DreamCalc only.
Graphing Window |
--- | ---
Font Name | Font name used in the chart window.
Font Size | Font size of chart window text.
Background Color | Set chart window background color.
Foreground Color | Set chart window foreground color.
Use Windows Colors | Use standard window colors for the chart window.
Show Chart Grid | Show a grid behind chart data.
Animated Zoom | Performs animated zoom.
Vertical Y-Axis Labels | Show vertical labels on y-axis.
Monochrome Printing | Print charts in black and white (uses less ink).
Chart Cursor | Type of cursor when mouse over chart. Select from "Gunsight", "Small Cross" or "Default".
Axis Precision | Number of digits of precision on axis labels. (Default is 4).
## Dates & Finance Page
Date Calculations |
--- | ---
Date Separator | Date separator character. Default is to use your system setting. The default is to use your system setting.
Time Separator | Time separator character. Default is to use your system setting. The default is to use your system setting.
Date Format | Date format to use for days, months and years. The default is to use your system setting.
Date Arithmetic | Defines the "zero day" used when dealing with numerical date values. See Calculating with Dates for more information.
Convert Two Digit Year Inputs | Convert two digit year inputs to four (i.e. 79 to 1979).
TODAY Gives Universal Time | When checked, the TODAY function & on-screen clock will give Universal Time, rather than local time.
Week Starts | Set Monday or Sunday to be your first day of the week. This setting affects the DOW function.
Financial Calculations | (Professional Edition Only)
--- | ---
Begin Payment Mode | Payments are made at the beginning of compounding periods. The setting affects TVM calculations.
End Payment Mode | Payments are made at the end of compounding periods (default).
Monthly Effective Annual Rate | Use monthly compounding rule (default) in Effective Annual Rate calculations.
Canadian Effective Annual Rate | Use Canadian rules for effective annual rate calculations.
## Miscellaneous Page
Help & Reference |
--- | ---
F1 Shows Contents Page | Pressing F1 will open help at the Contents Page.
F1 Shows Index Page | Pressing F1 will open help at the Index Page.
Keypad Help Hints | Show "mouse over" help hints when cursor hovers over the keys.
Show Hand Cursor over Keypad | Show "hand cursor" over the keypad area. Turn this option to show default arrow cursor.
Right-Click Key for Enlargement | Enables right-click of key to show an enlargement.
Right-Click Key for Help Hint | Enables right-click of key to show help hint and keyboard strokes.
Constant Groups |
--- | ---
Constant Groups | Select the constants available for use in the "Insert" main menu. DreamCalc supports over 630 constants—you can select which ones you regularly from here.
Advanced |
--- | ---
Max Denominator | Maximum denominator when converting decimals to fractions (1000 is default). This setting affects the operation of the natural fraction key.
Timeout | Timeout limit for certain calculations (2 seconds is default). If set to a value greater than 5, this setting also controls the maximum time allowed when graphing functions.
Show Extended Math Characters | Show extended math characters. Selecting this option will cause characters such as "÷" (divide) and "×" (multiply) to be displayed in the Numeric Screen and Paper Roll instead of the ASCII equivalents. Ensure this option is unchecked for maximum compatibility between DreamCalc and other applications. This option may be disabled on non-Western systems.
Disable Rendering Enhancements | Disables rending effects in the main calculator window.
Disable Help Hints on Controls | Disable "mouse over" help hints on window controls thruout the application.
See also: Getting Started |